FSTRACE_SETLOG(8)

NAME
fstrace_setlog - Sets the size of a trace log

SYNOPSIS
fstrace setlog [-log <log name>+]
    -buffersize <1-kilobyte units> [-help]

fstrace setl [-l <log name>+] -b <1-kilobyte units> [-h]

fstrace sl [-l <log name>+] -b <1-kilobyte units> [-h]

DESCRIPTION
The fstrace setlog command defines the number of kilobytes of kernel memory allocated for the "cmfx" trace log. If kernel memory is currently allocated, the command clears the current log and creates a new log buffer of the specified size.

To display the current defined size of the log buffer, issue the fstrace lslog command with the -long argument. To control whether the indicated amount of space is actually allocated, use the fstrace setset command to set the status of the "cm" event set; to display the event set's status, use the fstrace lsset command.

OPTIONS

-log <log name>+
    Names trace log for which to set the size. The only acceptable value is "cmfx", which is also the default if this argument is omitted.

-buffersize <1-kilobyte units>
    Specifies the number of 1-kilobyte blocks of kernel memory to allocate for the trace log.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command allocated 80 KB of kernel memory for the "cmfx" trace log:

   # fstrace setlog -log cmfx -buffersize 80

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser "root".

SEE ALSO
fstrace(8), fstrace_lslog(8), fstrace_lsset(8), fstrace_setset(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.